#if !defined(AFX_SPLITTERVIEW_H__AE2E83EF_5696_42DE_8794_078ABC88CA1C__INCLUDED_)
#define AFX_SPLITTERVIEW_H__AE2E83EF_5696_42DE_8794_078ABC88CA1C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SplitterView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSplitterView view

class CSplitterView : public CView
{
protected:
	CSplitterView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CSplitterView)

// Attributes
public:

	CSplitterWnd m_wndSplitter;

	//size of left pane for OnSize()
	int m_leftPaneWidth;


// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSplitterView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CSplitterView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CSplitterView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG

	afx_msg LRESULT OnHideLeftPane(WPARAM wParam, LPARAM lParam);	// WM_USER_HIDE_LEFT_PANE

	DECLARE_MESSAGE_MAP()

private:
	// Hide show left pane.
	int m_prevLeftPaneWidth;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SPLITTERVIEW_H__AE2E83EF_5696_42DE_8794_078ABC88CA1C__INCLUDED_)
